Package org.apache.aries.jax.rs.rest.management.schema

## Class ServiceSchema

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.framework.dto.ServiceReferenceDTO
    - - org.apache.aries.jax.rs.rest.management.schema.ServiceSchema

    public class ServiceSchema
    extends org.osgi.framework.dto.ServiceReferenceDTO

### Field Summary

Fields
`String` `bundle`
`String[]` `usingBundles`

### Fields inherited from class org.osgi.framework.dto.ServiceReferenceDTO

`id, properties`

### Constructor Summary

Constructors
`ServiceSchema()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ServiceSchema` `build​(String bundle, long id, Map<String,​Object> properties, String[] usingBundles)`
`static ServiceSchema` `build​(javax.ws.rs.core.UriInfo uriInfo, org.osgi.framework.dto.ServiceReferenceDTO serviceReferenceDTO)`

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### bundle

    public String bundle

#### usingBundles

    public String[] usingBundles

### Constructor Detail

#### ServiceSchema

    public ServiceSchema()

### Method Detail

#### build

    public static ServiceSchema build​(String bundle,
                                      long id,
                                      Map<String,​Object> properties,
                                      String[] usingBundles)

#### build

    public static ServiceSchema build​(javax.ws.rs.core.UriInfo uriInfo,
                                      org.osgi.framework.dto.ServiceReferenceDTO serviceReferenceDTO)